<!---
AUTHOR: Anthony C. McClure
DATE: 4/25/2002
PURPOSE: Article.cfc object definition
MODIFICATION LOG:
DATE        AUTHOR      MODIFICATION
====        =======     ============
4/25/2002	ACM			Initial Generation
5/27/2002	SEH			Added a Search function to return article records as a resultset

This CFC contains the following methods:
	

--->

<cfcomponent output="FALSE" extends="components.persistence.basepersistentcomponent">
	<cfproperty name="title" type="string" default="New Article">
	<cfproperty name="body" type="memo" default="">
	<cfproperty name="author" type="string" default="">
	
	<!--- Initialize Props --->
	<cfscript>
		this.title = "New Article";
		this.body = "";
		this.author = "";
	</cfscript>
	
	<!--- Property Gets and Sets Start --->
	<cffunction returnType="string" access="public" name="getAuthor" output="FALSE">
		<cfreturn this.author>
	</cffunction>
	<cffunction access="public" name="setAuthor" output="1">
		<cfargument name="theAuthor" type="string" required="1"/>
		<cfset this.author = arguments.theAuthor>
	</cffunction>
	<cffunction returnType="string" access="public" name="getBody" output="FALSE">
		<cfreturn this.body>
	</cffunction>
	<cffunction access="public" name="setBody" output="FALSE">
		<cfargument name="theBody" type="string" required="1"/>
		<cfset this.body = arguments.theBody>
	</cffunction>
	<cffunction returnType="string" access="public" name="getTitle" output="FALSE">
		<cfreturn this.title>
	</cffunction>
	<cffunction access="public" name="setTitle" output="FALSE">
		<cfargument name="theTitle" type="string" required="1"/>
		<cfset this.title = arguments.theTitle>
	</cffunction>
	<!--- Property gets and sets end --->
	<cffunction name="getArticle" access="remote" output="false" returntype="struct">
		<cfargument name="articleId" type="string" required="yes"/>
		<cfscript>
			this.get(objectID=arguments.articleId);
			article = structNew();
			for( prop in this ) {
				if( isSimpleValue(this[prop]) )
					article[prop] = this[prop];
			}
			return article;
		</cfscript>
	</cffunction>
	
   <cffunction name="updateArticle" 
     access="remote"
     returntype="boolean"
     output="false">
     <cfargument name="articleProps" type="struct" required="true"/>
     <cfif not isDefined("arguments.articleProps.objectId")> 
      <cfreturn false/>
    </cfif>
    <cfscript>
      // Load object to update
      article = createObject("component","components.persistence.objects.article");
      article.get("database","testDB",arguments.articleProps.objectId);
      // Copy value object props into article instance
      for( prop in arguments.articleProps ) {
        article[prop] = arguments.articleProps[prop];
      }
      // Update content repository for this object
      article.update();
      return true;
    </cfscript>
  </cffunction>
	
</cfcomponent>