<cfcomponent extends="components.persistence.basepersistentcomponent">
	<cfproperty name="activeLocales" type="string" default=""/>		
	<cfproperty name="availableLocales" type="string" default=""/>
	<!--- Initialize properties --->
	<cfscript>
		this.activeLocales = "";
		this.availableLocales = "";
	</cfscript>
	<!--- Property get/set functions --->
	<cffunction name="getActiveLocales" 
		access="public" 
		returntype="string" 
		output="false">
		<cfreturn this.activeLocales/>	
	</cffunction>
	<cffunction name="setActiveLocales"
		access="public"
		output="false">
		<cfargument name="theLocales" type="string" required="true"/>	
		<cfset this.activeLocales = arguments.theLocales>
	</cffunction>
	<cffunction name="getAvailableLocales" 
		access="public" 
		returntype="string" 
		output="false">
		<cfreturn this.availableLocales/>	
	</cffunction>
	<cffunction name="setAvailableLocales"
		access="public"
		output="false">
		<cfargument name="theLocales" type="string" required="true"/>	
		<cfset this.availableLocales = arguments.theLocales>
	</cffunction>
	<!--- Functions for addition/removal of a locale --->
	<cffunction name="addActiveLocale"
		access="public"
		output="false">
		<cfargument name="theLocale" type="string" required="true"/>
		<cfscript>
			if( not listFindNoCase(this.activeLocales,arguments.theLocale) )
				this.activeLocales = listAppend(this.activeLocales,arguments.theLocale);
		</cfscript>	
	</cffunction>
	<cffunction name="removeActiveLocale"
		access="public"
		output="true">
		<cfargument name="theLocale" type="string" required="true"/>
		<cfscript>
			listIndex = listFindNoCase(this.activeLocales,arguments.theLocale);
			if( listIndex ) 
				this.activeLocales = listDeleteAt(this.activeLocales,listIndex);
		</cfscript>
	</cffunction>
	<cffunction name="addAvailableLocale"
		access="public"
		output="false">
		<cfargument name="theLocale" type="string" required="true"/>
		<cfscript>
			if( not listFindNoCase(this.availableLocales,arguments.theLocale) )
				this.availableLocales = listAppend(this.availableLocales,arguments.theLocale);
		</cfscript>	
	</cffunction>
	<cffunction name="removeAvailableLocale"
		access="public"
		output="true">
		<cfargument name="theLocale" type="string" required="true"/>
		<cfscript>
			listIndex = listFindNoCase(this.availableLocales,arguments.theLocale);
			if( listIndex ) 
				this.availableLocales = listDeleteAt(this.availableLocales,listIndex);
		</cfscript>
	</cffunction>	
</cfcomponent>
