<!--------------------- TEMPLATE INFORMATION -----------------------------------
  **********************************************************************
  ***   Copyright: Remotesite Technologies, Inc.				 	***
  ***   Filename: catalog2xml		          						***
  ***   Author: Dan Blackman						  	 			***
  ***   Project: 							   						***
  ***   File Type: ColdFusion MX	           		   				***
  ***   Date Created:  4/21/2002		  							***
  **********************************************************************

Template Purpose:
Fetch the product records by supplier and create an XML document

Application Modification Log:
DATE		BY				MODIFICATION
--------------------------------------------------------------------------------
4/21/2002	Dan Blackman	Created Template
-------------------------------------------------------------------------------->


<!--- fetch the Catalog information --->
<cfquery name="qCatalogGet" datasource="DynPub">
  	Select s.CompanyName, s.Address, s.City, s.State, Zipcode, p.Code, p.Name as productName, 
			p.Quantityperunit, p.Unitprice
	From suppliers s, products p
	Where s.supplierid = p.supplierid  
	Order By s.CompanyName, p.Name
</cfquery>

<!--- Use the CFXML tag to create the XML document Object --->
<cfxml variable="catalog">

 <!--- Root Element --->
  <catalog>
  
    <cfoutput query="qCatalogGet" Group="CompanyName">
      <supplier name="#CompanyName#">
			<address>#address#</address>
			<city>#city#</city>
			<state>#state#</state>
			<zipcode>#zipCode#</zipcode>
			<cfoutput>
		    	<product code="#qCatalogGet.Code#">
					<name>#productName#</name>
					<quantityperunit>#quantityPerUnit#</quantityperunit>
					<unitprice>#unitPrice#</unitprice>	
		        </product>
			</cfoutput>	
      </supplier>
    </cfoutput>

  </catalog>
</CFXML>

<cfdump var="#catalog#">
