<!--------------------- TEMPLATE INFORMATION -----------------------------------
  **********************************************************************
  ***   Copyright: Remotesite Technologies, Inc.				 	***
  ***   Filename: catalog2xmlfunction         						***
  ***   Author: Dan Blackman						  	 			***
  ***   Project: 							   						***
  ***   File Type: ColdFusion MX	           		   				***
  **********************************************************************

Template Purpose:
Use an array of structures to create an XML document

--->

<!--- 
	In this case we use a complex datatype (An array of structures) to create the xml document.
	Using a cfc you can also pass the array of structures in as an argument to 
	a function.
--->

<cfscript>

// A supplier with 3 products.
	aSupplier = arrayNew(1);
	aSupplier[1] = structNew();
	aSupplier[1].name = "Exotic Liquids";
	aSupplier[1].address = "49 Gilbert St.";
	aSupplier[1].city = "Dallas";
	aSupplier[1].state = "TX";
	aSupplier[1].zipcode = "76543";
	aSupplier[1].product = arraynew(1);
	aSupplier[1].product[1] = structNew();
	aSupplier[1].product[1].name = "Chai";
	aSupplier[1].product[1].quantityperunit = "10 boxes";
	aSupplier[1].product[1].unitprice = "18.00";
	aSupplier[1].product[2] = structNew();
	aSupplier[1].product[2].name = "Black Tea";
	aSupplier[1].product[2].quantityperunit = "12 boxes";
	aSupplier[1].product[2].unitprice = "12.00";
	aSupplier[1].product[3] = structNew();
	aSupplier[1].product[3].name = "Ginseng Tea";
	aSupplier[1].product[3].quantityperunit = "7 boxes";
	aSupplier[1].product[3].unitprice = "16.00";

</cfscript>


<cfscript>

	// Create new document and root element
	catalogXml = XmlNew();
	catalogXml.XmlRoot = XmlElemNew(catalogXml, "catalog");

	// Loop over the Supplier array ...
	for(i=1; i lte arrayLen(aSupplier); i=i+1)
	{
	  // Create the supplier info first
	  	supplier = XmlElemNew(catalogXml, "supplier");
	  	supplier.XmlAttributes["name"] = aSupplier[i].name;
		supplier.address = XmlElemNew(catalogXML, "address");
		supplier.address.xmlText = aSupplier[i].address;
		supplier.city = XmlElemNew(catalogXML, "city");
		supplier.city.xmlText = aSupplier[i].city;
		supplier.state = XmlElemNew(catalogXML, "state");
		supplier.state.xmlText = aSupplier[i].state;
		supplier.zipcode = XmlElemNew(catalogXML, "zipcode");
		supplier.zipcode.xmlText = aSupplier[i].zipcode;
	// Loop over the Products for this supplier
	
		for(x=1; x lte arrayLen(aSupplier[i].product);x=x+1)
		{
			product = XMLElemNew(catalogXml, "product");
			product.name = XmlElemNew(catalogXML, "name");
			product.name.xmlText = aSupplier[i].product[x].name;
			product.quantityperunit = XmlElemNew(catalogXML, "quantityperunit");
			product.quantityperunit.xmlText = aSupplier[i].product[x].quantityperunit;
			product.unitprice = XmlElemNew(catalogXML, "unitprice");
			product.unitprice.xmlText = aSupplier[i].product[x].unitprice;
		
			//Append the products to the supplier
			ArrayAppend(supplier.XmlChildren, product);	
		}	

			
		//supplier[i].name.xmlText = aSupplier[i].name;
		ArrayAppend(catalogXml.XmlRoot.XmlChildren, supplier);	
	}
</cfscript>

<cfdump var="#catalogXml#">